using System.Drawing;
using System.Diagnostics;
using System.Windows.Forms;
using System.Collections;
using Microsoft.VisualBasic;
using System.Collections.Generic;
using System;


namespace EmployeeApp
{
	public class Employees
	{
		
		
		private DataAccessTier.GenericDataAccess data;
		
		public Employees()
		{
			System.Reflection.Assembly asm;
			object obj;
			
			//**
			//** Create appropriate data access object:
			//**
			object[] args; //** args for call to constructor
			args = new object[1];
			args[0] = Settings.Default.DatabaseConnectionString;
			
			asm = System.Reflection.Assembly.Load(Settings.Default.DataAccessClassAssembly);
			obj = asm.CreateInstance(Settings.Default.DataAccessClass, false, System.Reflection.BindingFlags.CreateInstance, null, args, null, null);
			this.data = (DataAccessTier.GenericDataAccess) obj;
		}
		
		public Employee Lookup(string firstname, string lastname)
		{
			string sql;
			System.Data.DataSet ds;
			
			//**
			//** lookup employee in data store:
			//**
			sql = string.Format("Select * From Employees Where FirstName=\'{0}\' And LastName=\'{1}\';", firstname.Replace("\'", "\'\'"), lastname.Replace("\'", "\'\'"));
			
			ds = this.data.SelectQuery(sql);
			
			//**
			//** did we find him/her?
			//**
			if (ds.Tables["Table"].Rows.Count < 1)
			{
				return null;
			}
			else
			{
				return new Employee(ds.Tables["Table"].Rows[0]);
			}
		}
	}
	
}
