using System.Drawing;
using System.Diagnostics;
using System.Windows.Forms;
using System.Collections;
using Microsoft.VisualBasic;
using System.Collections.Generic;
using System;
using System.Text;
using MSA = System.Data.OleDb;



namespace EmployeeApp
{
	namespace DataAccessTier
	{
		
		public class MSAccess2000DB : GenericDataAccess
		{
			
			
			//
			// constructor
			//
			public MSAccess2000DB(string ConnectionString) : base(ConnectionString)
			{
			}
			
			//
			// Factory methods
			//
			protected override System.Data.IDbDataAdapter CreateAdapter(System.Data.IDbCommand dbCmd)
			{
				return new MSA.OleDbDataAdapter((MSA.OleDbCommand) dbCmd);
			}
			
			protected override System.Data.IDbCommand CreateCommand(string sql, System.Data.IDbConnection dbConn)
			{
				return new MSA.OleDbCommand(sql, ((MSA.OleDbConnection) dbConn));
			}
			
			protected override System.Data.IDbConnection CreateConnection(string connectInfo)
			{
				return new MSA.OleDbConnection(connectInfo);
			}
		}
		
	}
	
}
