using System.Drawing;
using System.Diagnostics;
using System.Windows.Forms;
using System.Collections;
using Microsoft.VisualBasic;
using System.Collections.Generic;
using System;
using System.Text;
using SQL = System.Data.SqlClient;



namespace EmployeeApp
{
	namespace DataAccessTier
	{
		
		public class SQLServerDB : GenericDataAccess
		{
			
			 
			//
			// constructor
			//
			public SQLServerDB(string ConnectionString) : base(ConnectionString)
			{
			}
			
			//
			// Factory methods
			//
			protected override System.Data.IDbConnection CreateConnection(string connectInfo)
			{
				return new SQL.SqlConnection(connectInfo);
			}
			
			protected override System.Data.IDbCommand CreateCommand(string sql, System.Data.IDbConnection dbConn)
			{
				return new SQL.SqlCommand(sql, ((SQL.SqlConnection) dbConn));
			}
			
			protected override System.Data.IDbDataAdapter CreateAdapter(System.Data.IDbCommand dbCmd)
			{
				return new SQL.SqlDataAdapter((SQL.SqlCommand) dbCmd);
			}
		}
		
	}
	
}
